// патч нативного `dns.lookup()`
// чтобы использовались только ipv6-адреса

const dns = require('dns');
const _lookup = dns.lookup;

dns.lookup = (hostname, options, callback) => {
    if (typeof options === 'function') {
        callback = options;
        options = {};
    }

    options.family = 6;

    return _lookup.call(dns, hostname, options, callback);
};
